{
    "namespace": "ui_utils",
    "grid_item": {
        "type": "stack_panel",
        "size": [
            "100%c",
            18
        ],
        "offset": [
            -15,
            27
        ],
        "collection_name": "container_items",
        "anchor_to": "top_left",
        "anchor_from": "top_left",
        "$index|default": 0,
        "controls": [
            {
                "grid_item@chest.chest_grid_item": {
                    "collection_index": "$index"
                }
            }
        ]
    },
    "invisible_cell_image": {
        "type": "image",
        "texture": "textures/backpacks/ui/invisible",
        "layer": 1
    },
    "invisible_cell_image_panel": {
        "type": "panel",
        "controls": [
            {
                "upgrade_cell_image@ui_utils.invisible_cell_image": {
                    "$cell_selected_binding_name|default": "#is_selected_slot",
                    "visible": true,
                    "bindings": [
                        {
                            "binding_name": "(not $cell_selected_binding_name)",
                            "binding_name_override": "#visible",
                            "binding_type": "collection",
                            "binding_collection_name": "$item_collection_name"
                        }
                    ]
                }
            }
        ]
    },
    "highlight_slot_panel": {
        "type": "panel",
        "controls": [
            {
                "panel": {
                    "type": "panel",
                    "controls": [
                        {
                            "hover_text@common.hover_text": {
                                "layer": 29,
                                "$hover_text_binding_name|default": "#hover_text",
                                "bindings": [
                                    {
                                        "binding_name": "$hover_text_binding_name",
                                        "binding_name_override": "#hover_text",
                                        "binding_type": "collection",
                                        "binding_collection_name": "$item_collection_name"
                                    }
                                ]
                            }
                        }
                    ],
                    "bindings": [
                        {
                            "binding_name": "#show_persistent_bundle_hover_text",
                            "binding_name_override": "#visible"
                        }
                    ]
                }
            }
        ]
    },
    "invisible_grid_item": {
        "type": "stack_panel",
        "size": [
            "100%c",
            18
        ],
        "offset": [
            -15,
            27
        ],
        "collection_name": "container_items",
        "anchor_to": "top_left",
        "anchor_from": "top_left",
        "$index|default": 0,
        "controls": [
            {
                "grid_item@chest.chest_grid_item": {
                    "$background_images": "ui_utils.invisible_cell_image_panel",
                    "$highlight_control": "ui_utils.highlight_slot_panel",
                    "collection_index": "$index"
                }
            }
        ]
    }
}